[arch-commits] Commit in gnome-desktop-sharp/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Oct 11 17:21:50 EDT 2008


    Date: Saturday, October 11, 2008 @ 17:21:50
  Author: jgc
Revision: 14985

upgpkg: gnome-desktop-sharp 2.24.0-1

Modified:
  gnome-desktop-sharp/trunk/PKGBUILD

----------+
 PKGBUILD |   17 ++++++++---------
 1 file changed, 8 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-11 21:16:34 UTC (rev 14984)
+++ PKGBUILD	2008-10-11 21:21:50 UTC (rev 14985)
@@ -2,29 +2,28 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gnome-desktop-sharp
-pkgver=2.20.1
+pkgver=2.24.0
 pkgrel=1
 pkgdesc="GNOME desktop bindings for C#"
 arch=(i686 x86_64)
 license=(LGPL)
 url="http://gtk-sharp.sourceforge.net"
-depends=('gnome-sharp>=2.20.0' 'vte>=0.16.13' 'librsvg>=2.22.0' 
-	 'nautilus-cd-burner>=2.22.0' 'libwnck>=2.22.0' 'gtkhtml>=3.18.0')
+depends=('gnome-sharp>=2.24.0' 'vte>=0.17.4' 'librsvg>=2.22.3' 'gnome-panel>=2.24.0' 'libgnomeprintui>=2.18.2' 'nautilus-cd-burner>=2.24.0' 'libwnck>=2.24.0' 'gtkhtml>=3.24.0' 'gtksourceview2>=2.4.0')
 makedepends=('pkgconfig' 'monodoc')
 options=('!libtool')
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.20/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('874cfcf8a6547476906b638355a0ed2f')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.24/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('2d36f04223a52e09908ddbdc1c767f5e')
 
 build() {
  # get rid of that .wapi errors; thanks to brice
-  export MONO_SHARED_DIR="${startdir}/src/weird"
+  export MONO_SHARED_DIR="${srcdir}/weird"
   mkdir -p "${MONO_SHARED_DIR}"
 
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
 
 
   ./configure --prefix=/usr --sysconfdir=/etc || return 1
   make || return 1
-  make GACUTIL="/usr/bin/gacutil /root ${startdir}/pkg/usr/lib" \
-     	 DESTDIR=${startdir}/pkg install || return 1
+  make GACUTIL="/usr/bin/gacutil /root ${pkgdir}/usr/lib" \
+     	 DESTDIR="${pkgdir}" install || return 1
 }




More information about the arch-commits mailing list